Bug 467006 - Blank Screen on Thinkpad X40
Blank Screen on Thinkpad X40
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: videodog (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Laughton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-14 23:13 EDT by Caroline Meeks
Modified: 2009-12-18 01:34 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:34:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Caroline Meeks 2008-10-14 23:13:32 EDT
Description of problem:
On IBM Thinkpad X40 
http://download.fedoraproject.org/pub/fedora/linux/releases/test/10-Beta/Live/i686/F10-Beta-i686-Live.iso

Does not show the desktop, just a blank screen after everything else is complete with the boot.  The same USB Key (made from the iso) works on other systems.

My X40 doesn't have a CD drive so I can only test with the USB but I think its a video issue not a USB issue as the USB works fine on other systems.


Version-Release number of selected component (if applicable):
http://download.fedoraproject.org/pub/fedora/linux/releases/test/10-Beta/Live/i686/F10-Beta-i686-Live.iso

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Blank Screen

Expected results:
Desktop


Additional info:
I am also seeing this on sugar-spin.
Comment 1 Bug Zapper 2008-11-25 22:52:57 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Simon Schampijer 2009-05-06 07:29:47 EDT
Caroline, is this bug still valid?
Comment 3 Caroline Meeks 2009-05-10 21:48:46 EDT
this bug is no longer present.  Thanks
Comment 4 Denys Vlasenko 2009-06-08 06:57:45 EDT
Not sure whether this is the same bug, but anyway.

I use Fedora 9 on a ThinkPad T61. When I boot it while it sits in dock station, most of the time after X startup screen goes blank.

Switching to text console and back (Ctrl-Alt-F6, then Alt-F7) helps after several attempts.

It does not seem to happen when I boot the laptop outside of the dock station.

I experience it for a while now, it is not a recent breakage.

I'm in Brno, and can provide my laptop for diagnostics/testing.
Comment 5 Need Real Name 2009-10-27 18:28:59 EDT
I installed F10 on an X40 and it had some video problems but it was reasonably usable.  I also have F12 rawhide on a T61 and the video works fine, but if you close the lid and let it go into suspend mode, then when you open the lid back up, the video never comes back unless you power cycle the machine.  The same happens with F11 on the X40.  My workaround has been to disable the entry into suspend mode on closing the lid, and just have it blank the screen instead.
Comment 6 Bug Zapper 2009-11-18 03:34:49 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 01:34:44 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.